# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2018-03-04 00:12
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('voucher', '0022_auto_20180103_1243'),
    ]

    operations = [
        migrations.CreateModel(
            name='VoucherUserApplication',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='Дата применения')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='voucher_applications', to=settings.AUTH_USER_MODEL, verbose_name='Клиент')),
            ],
            options={
                'verbose_name': 'использование купона',
                'verbose_name_plural': 'использования купонов',
            },
        ),
        migrations.AddField(
            model_name='voucher',
            name='max_applications_per_user',
            field=models.PositiveIntegerField(default=1, verbose_name='Применений на пользователя'),
        ),
        migrations.AddField(
            model_name='voucheruserapplication',
            name='voucher',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_applications', to='voucher.Voucher', verbose_name='Купон'),
        ),
    ]
